# Bootstrap needed to avoid circular dep
%bcond_with bootstrap
# Run tests in check
# Disabled for bootstrapping
%bcond_without check

%global goipath         github.com/googleapis/gax-go
Version:                2.0.4

%global common_description %{expand:
Google API Extensions for Go (gax-go) is a set of modules which aids the 
development of APIs for clients and servers based on gRPC and Google API 
conventions.

Application code will rarely need to use this library directly, but the 
code generated automatically from API definition files can use it to simplify 
code generation and to provide more convenient and idiomatic API surface.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Google API Extensions for Go 
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(google.golang.org/grpc)
BuildRequires: golang(google.golang.org/grpc/codes)
%if %{without bootstrap}
BuildRequires: golang(google.golang.org/grpc/status)
%endif

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup

rm tools.go
%if %{with bootstrap}
grep --include=\*.go -lrnw . -e "google.golang.org/grpc/status" | xargs rm
%endif


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md CONTRIBUTING.md


%changelog
* Thu Mar 14 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.4-1
- Release 2.0.4 (#1688895)

* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.3-2
- Unbootstrap

* Mon Feb 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.3-1
- Update to release 2.0.3

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 21 2018  Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-1
- First package for Fedora

